package com.nokia.dingtalk_api.annotation;

import com.nokia.dingtalk_api.validator.CronValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 校验cron表达式
 */
@Constraint(validatedBy = CronValidator.class)
@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidCron {
    String message() default "cron表达式错误";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
