package com.nokia.dingtalk_api.annotation;

import com.nokia.dingtalk_api.validator.RegexValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 校验正则表达式
 */
@Constraint(validatedBy = RegexValidator.class)
@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidRegex {
    String message() default "正则表达式错误";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
