package com.nokia.dingtalk_api.auth;

import com.nokia.dingtalk_api.dao.IUserService;
import com.nokia.dingtalk_api.pojos.po.UserPo;
import lombok.RequiredArgsConstructor;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

@RequiredArgsConstructor
@Service
public class UserDetailServiceImpl implements UserDetailsService {

    private final IUserService iUserService;

    /**
     * 加载用户信息
     */
    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        return loadUserPoByUsername(username);
    }

    public UserPo loadUserPoByUsername(String username) {
        // 使用iUserService获取指定用户名的用户信息，如果找不到用户，则使用orElseThrow抛出UsernameNotFoundException异常。
        return iUserService.getOptById(username).orElseThrow(() -> new UsernameNotFoundException("用户名不存在"));
    }
}
