package com.nokia.dingtalk_api.config.web;

import jakarta.validation.Validation;
import jakarta.validation.Validator;
import jakarta.validation.ValidatorFactory;
import org.hibernate.validator.HibernateValidator;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * 校验配置
 */
@Configuration
public class ValidatorConfig
{
    @Bean
    public Validator validator()
    {
        try (ValidatorFactory validatorFactory = Validation.byProvider(HibernateValidator.class).configure()
                .failFast(true).buildValidatorFactory()) {
            return validatorFactory.getValidator();
        }
    }
}
