package com.nokia.dingtalk_api.controller;

import com.nokia.dingtalk_api.common.R;
import com.nokia.dingtalk_api.pojos.dto.cms.AlertConfigDto;
import com.nokia.dingtalk_api.pojos.vo.cms.GetAlertConfigVo;
import com.nokia.dingtalk_api.service.AlertConfigService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "alertConfig", description = "默认告警配置")
@Slf4j
@RequiredArgsConstructor
@RestController
@RequestMapping("/api/alertConfig")
public class AlertConfigController {
    private final AlertConfigService alertConfigService;

    @Operation(summary = "更新默认告警配置")
    @PostMapping("/updateAlertConfig")
    public R<Object> updateAlertConfig(@Valid @RequestBody AlertConfigDto dto) {
        return alertConfigService.updateAlertConfig(dto);
    }

    @Operation(summary = "获取默认告警配置")
    @PostMapping("/getAlertConfig")
    public R<GetAlertConfigVo> getAlertConfig() {
        return alertConfigService.getAlertConfig();
    }
}
