package com.nokia.dingtalk_api.controller;

import com.nokia.dingtalk_api.common.R;
import com.nokia.dingtalk_api.pojos.dto.cms.LoginDto;
import com.nokia.dingtalk_api.pojos.vo.cms.LoginVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "auth", description = "认证")
@Slf4j
@RestController
public class AuthController {
    @Operation(summary = "登录")
    @PostMapping("/api/cms/login")
    public R<LoginVo> login(LoginDto dto) {
        log.debug("dto: {}", dto);
        return R.ok();
    }

    @Operation(summary = "登出")
    @PostMapping("/api/cms/logout")
    public R<Object> logout() {
        return R.ok();
    }

    @Operation(summary = "获取当前用户信息")
    @PostMapping("/api/cms/queryCurrentUser")
    public R<LoginVo> queryCurrentUser() {
        SecurityContext context = SecurityContextHolder.getContext();
        Authentication authentication = context.getAuthentication();
        LoginVo vo = new LoginVo();
        vo.setName(authentication.getName());
        return R.ok(vo);
    }
}
