package com.nokia.dingtalk_api.mapper;

import com.nokia.dingtalk_api.pojos.bo.AppTaskBo;
import com.nokia.dingtalk_api.pojos.po.RetryAppTaskPo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 重试应用定时任务 Mapper 接口
 * </p>
 *
 */
@Mapper
public interface RetryAppTaskMapper extends BaseMapper<RetryAppTaskPo> {
    /**
     * 查询重试应用任务
     * @param status 任务状态
     */
    @Select("""
with t101 as (
select * from dingtalk.retry_app_task where retry_time >= current_timestamp
)
select
    a.*,
    b.app_name,
    c.robot_name,
    c.robot_secret,
    d.host,
    d.port,
    d.username,
    d."password",
    f.retry_time,
    f.retry_times,
    g.robot_secret as alert_robot_secret
from
    dingtalk.app_task a
join dingtalk.app b on
    a.app_id = b.app_id
join dingtalk.robot c on
    a.robot_code = c.robot_code
join dingtalk.app_sftp d on
    a.sftp_id = d.sftp_id
    and a.app_id = d.app_id
join dingtalk.app_robot e on
    a.app_id = e.app_id
    and a.robot_code = e.robot_code
join t101 f on
    a.task_id = f.task_id
left join dingtalk.robot g on
    a.alert_robot_code = g.robot_code
where
    b.deleted = 0
    and c.deleted = 0
    and a.status = #{status}
order by f.retry_time desc
""")
    List<AppTaskBo> getRetryAppTasks(@Param("status") Integer status);
}
