package com.nokia.dingtalk_api.pojos.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Range;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PageDto {
    @Schema(description = "页码>=1")
    @NotNull(message = "页码不能为空")
    @Range(min = 1, message = "页码错误")
    private Integer current;
    @Schema(description = "每页个数，[1,100]")
    @NotNull(message = "每页个数不能为空")
    @Range(min = 1, max = 100, message = "每页个数错误")
    private Integer pageSize;
}
