package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.pojos.dto.PageDto;
import com.nokia.dingtalk_api.pojos.enums.ListAppSftpSortEnum;
import com.nokia.dingtalk_api.pojos.enums.SortEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ListAppSftpDto extends PageDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "端口")
    private Integer port;
    @Schema(description = "用户名")
    private String username;
    @Schema(description = "排序")
    private Map<ListAppSftpSortEnum, SortEnum> sort;
}
