package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.pojos.dto.PageDto;
import com.nokia.dingtalk_api.pojos.enums.ListAppTaskSortEnum;
import com.nokia.dingtalk_api.pojos.enums.SortEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ListAppTaskDto extends PageDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "任务id")
    private String taskId;
    @Schema(description = "任务名称")
    private String taskName;
    @Schema(description = "任务状态，0已停止1运行中2已删除")
    private Integer status;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "会话类型：1：单聊，2：群聊")
    private Integer conversationType;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "排序")
    private Map<ListAppTaskSortEnum, SortEnum> sort;
}
