package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.pojos.dto.PageDto;
import com.nokia.dingtalk_api.pojos.enums.ListAppTaskLogSortEnum;
import com.nokia.dingtalk_api.pojos.enums.SortEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ListAppTaskLogDto extends PageDto {
    @Schema(description = "日志id")
    private String id;
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "应用名称")
    private String appName;
    @Schema(description = "任务id")
    private String taskId;
    @Schema(description = "任务名称")
    private String taskName;
    @Schema(description = "任务执行状态，0失败1成功")
    private Integer status;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "会话类型：1：单聊，2：群聊")
    private Integer conversationType;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "开始时间")
    private LocalDateTime startTime;
    @Schema(description = "结束时间")
    private LocalDateTime endTime;
    @Schema(description = "排序")
    private Map<ListAppTaskLogSortEnum, SortEnum> sort;
}
