package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.pojos.dto.PageDto;
import com.nokia.dingtalk_api.pojos.enums.ListAvailableRobotSortEnum;
import com.nokia.dingtalk_api.pojos.enums.SortEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ListAvailableRobotDto extends PageDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "排序")
    private Map<ListAvailableRobotSortEnum, SortEnum> sort;
}
