package com.nokia.dingtalk_api.pojos.dto.open;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;
import lombok.Data;

import java.util.Set;

@Data
public class BatchSendSampleMarkdownDto {
    @Schema(description = "标题", example = "title")
    @NotBlank(message = "title不能为空")
    private String title;
    @Schema(description = "内容", example = "content")
    @NotBlank(message = "text不能为空")
    private String text;
    @Schema(description = "机器人的编码", example = "dingue4kfzdxbynxxxxxx")
    @NotBlank(message = "robotCode不能为空")
    private String robotCode;
    @Schema(description = "接收机器人消息的用户的手机号列表，每次最多传20个")
    @Size(max = 20, message = "最多20个手机号")
    private Set<String> phones;
    @Schema(description = "接收机器人消息的用户的userId列表，每次最多传20个")
    @Size(max = 20, message = "最多20个userId")
    private Set<String> userIds;
}
