package com.nokia.dingtalk_api.pojos.dto.open;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class GroupSendSampleFileDto {
    @Schema(description = "机器人的编码", example = "dingue4kfzdxbynxxxxxx")
    @NotBlank(message = "robotCode不能为空")
    private String robotCode;
    @Schema(description = "会话ID", example = "cid6KeBBLoveMJOGXoYKF5x7Eeixxxx==")
    @NotBlank(message = "openConversationId不能为空")
    private String openConversationId;
    @Schema(description = "媒体文件上传后获取的唯一标识", example = "@#lAzPDgCwPn1mJiDOQoLpxxxx")
    @NotBlank(message = "mediaId不能为空")
    private String mediaId;
    @Schema(description = "文件名", example = "a.xlsx")
    @NotBlank(message = "filename不能为空")
    private String filename;
}
