package com.nokia.dingtalk_api.pojos.dto.open;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class SftpGroupSendSampleImageMsgDto {
    @Schema(description = "机器人的编码", example = "dingue4kfzdxbynxxxxxx")
    @NotBlank(message = "robotCode不能为空")
    private String robotCode;
    @Schema(description = "会话ID", example = "cid6KeBBLoveMJOGXoYKF5x7Eeixxxx==")
    @NotBlank(message = "openConversationId不能为空")
    private String openConversationId;
    @Schema(description = "sftp id", example = "xxxx")
    @NotBlank(message = "sftpId不能为空")
    private String sftpId;
    @Schema(description = "图片绝对路径", example = "/data/a.png")
    @NotBlank(message = "filePath不能为空")
    private String filePath;
}
