package com.nokia.dingtalk_api.pojos.msg;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.dingtalk_api.common.exception.MyRuntimeException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SampleFile {
    private String msgKey;
    private String msgParam;

    public static SampleFile create(String mediaId, String filename, String fileType) {
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            String msgKey = "sampleFile";
            Map<String, String> map = new HashMap<>();
            map.put("mediaId", mediaId);
            map.put("fileName", filename);
            map.put("fileType", fileType);
            String msgParam = objectMapper.writeValueAsString(map);
            return new SampleFile(msgKey, msgParam);
        } catch (Exception e) {
            throw new MyRuntimeException(e);
        }
    }
}
