package com.nokia.dingtalk_api.pojos.msg;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.dingtalk_api.common.exception.MyRuntimeException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SampleImageMsg {
    private String msgKey;
    private String msgParam;

    public static SampleImageMsg create(String photoURL) {
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            String msgKey = "sampleImageMsg";
            Map<String, String> map = new HashMap<>();
            map.put("photoURL", photoURL);
            String msgParam = objectMapper.writeValueAsString(map);
            return new SampleImageMsg(msgKey, msgParam);
        } catch (Exception e) {
            throw new MyRuntimeException(e);
        }
    }
}
