package com.nokia.dingtalk_api.pojos.msg;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.dingtalk_api.common.exception.MyRuntimeException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SampleMarkdown {
    private String msgKey;
    private String msgParam;

    public static SampleMarkdown create(String title, String text) {
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            String msgKey = "sampleMarkdown";
            Map<String, String> map = new HashMap<>();
            map.put("title", title);
            map.put("text", text);
            String msgParam = objectMapper.writeValueAsString(map);
            return new SampleMarkdown(msgKey, msgParam);
        } catch (Exception e) {
            throw new MyRuntimeException(e);
        }
    }
}
