package com.nokia.dingtalk_api.pojos.msg;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.dingtalk_api.common.exception.MyRuntimeException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SampleText {
    private String msgKey;
    private String msgParam;

    public static SampleText create(String content) {
        try {
            ObjectMapper objectMapper = new ObjectMapper();
            String msgKey = "sampleText";
            Map<String, String> map = new HashMap<>();
            map.put("content", content);
            String msgParam = objectMapper.writeValueAsString(map);
            return new SampleText(msgKey, msgParam);
        } catch (JsonProcessingException e) {
            throw new MyRuntimeException(e);
        }
    }
}
