package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nokia.dingtalk_api.pojos.dto.cms.AlertConfigDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Objects;

/**
 * <p>
 * 告警配置
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.alert_config")
public class AlertConfigPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    @TableId
    private Integer id;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;

    public AlertConfigPo(AlertConfigDto dto) {
        this.id = 1;
        this.robotCode = Objects.requireNonNullElse(dto.getRobotCode(), "");
        this.openConversationId = Objects.requireNonNullElse(dto.getOpenConversationId(), "");
        this.phones = Objects.requireNonNullElse(dto.getPhones(), "");
        this.userIds = Objects.requireNonNullElse(dto.getUserIds(), "");
    }
}
