package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nokia.dingtalk_api.pojos.dto.cms.AddAppSftpDto;
import com.nokia.dingtalk_api.pojos.dto.cms.UpdateAppSftpDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 应用sftp账号
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.app_sftp")
public class AppSftpPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * sftp id
     */
    @TableId
    private String sftpId;

    /**
     * 应用编码
     */
    private String appId;

    /**
     * 主机
     */
    private String host;

    /**
     * 端口
     */
    private Integer port;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public AppSftpPo(AddAppSftpDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.sftpId = dto.getSftpId();
        this.appId = dto.getAppId();
        this.host = dto.getHost();
        this.port = dto.getPort();
        this.username = dto.getUsername();
        this.password = dto.getPassword();
        this.createTime = now;
        this.updateTime = now;
    }

    public AppSftpPo(UpdateAppSftpDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.sftpId = dto.getSftpId();
        this.host = dto.getHost();
        this.port = dto.getPort();
        this.username = dto.getUsername();
        this.password = dto.getPassword();
        this.updateTime = now;
    }
}
