package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import shade.com.alibaba.fastjson2.JSONObject;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 钉钉机器人接收消息日志
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.receive_message_log")
public class ReceiveMessageLogPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 机器人名称
     */
    private String robotName;

    /**
     * 机器人编码
     */
    private String robotCode;

    /**
     * 发送者 userId
     */
    private String senderStaffId;

    /**
     * 发送者昵称
     */
    private String senderNick;

    /**
     * 内容
     */
    private String content;

    /**
     * 消息类型
     */
    private String msgType;

    /**
     * 会话类型：1：单聊2：群聊
     */
    private String conversationType;

    /**
     * 群聊时才有的会话标题
     */
    private String conversationTitle;

    /**
     * 会话 ID
     */
    private String conversationId;

    /**
     * 被@人的信息：dingtalkId：加密的发送者 ID。staffId：当前企业内部群中员工 userId 值。
     */
    private String atUsers;

    /**
     * 机器人所在的企业 corpId
     */
    private String chatbotCorpId;

    /**
     * 加密的机器人 ID
     */
    private String chatbotUserId;

    /**
     * 加密的消息 ID
     */
    private String msgId;

    /**
     * 是否为管理员
     */
    private String isAdmin;

    /**
     * 当前会话的 Webhook 地址过期时间
     */
    private String sessionWebhookExpiredTime;

    /**
     * 消息的时间戳，单位毫秒
     */
    private String createAt;

    /**
     * 企业内部群有的发送者当前群的企业 corpId
     */
    private String senderCorpId;

    /**
     * 加密的发送者 ID
     */
    private String senderId;

    /**
     * 是否在@列表中
     */
    private String isInAtList;

    /**
     * 当前会话的 Webhook 地址
     */
    private String sessionWebhook;

    public ReceiveMessageLogPo(JSONObject t) {
        this.createTime = LocalDateTime.now();
        this.robotCode = t.getString("robotCode");
        this.senderStaffId = t.getString("senderStaffId");
        this.senderNick = t.getString("senderNick");
        this.content = t.getJSONObject("text").getString("content");
        this.msgType = t.getString("msgtype");
        this.conversationType = t.getString("conversationType");
        this.conversationTitle = t.getString("conversationTitle");
        this.conversationId = t.getString("conversationId");
        this.atUsers = t.getString("atUsers");
        this.chatbotCorpId = t.getString("chatbotCorpId");
        this.chatbotUserId = t.getString("chatbotUserId");
        this.msgId = t.getString("msgId");
        this.isAdmin = t.getString("isAdmin");
        this.sessionWebhookExpiredTime = t.getString("sessionWebhookExpiredTime");
        this.createAt = t.getString("createAt");
        this.senderCorpId = t.getString("senderCorpId");
        this.senderId = t.getString("senderId");
        this.isInAtList = t.getString("isInAtList");
        this.sessionWebhook = t.getString("sessionWebhook");
    }
}
