package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 访问日志
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.request_log")
public class RequestLogPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 请求id
     */
    private String traceId;

    /**
     * 请求时间
     */
    private LocalDateTime requestTime;

    /**
     * ip
     */
    private String ip;

    /**
     * 接口url
     */
    private String api;

    /**
     * 请求参数
     */
    private String requestParameters;

    /**
     * 请求头
     */
    private String headers;

    /**
     * 是否开放接口，0否1是
     */
    private Integer open;

    /**
     * 管理后台用户名
     */
    private String username;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 时间戳，从token解密
     */
    private LocalDateTime timeStamp;

    /**
     * 访问令牌
     */
    private String token;
}
