package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.nokia.dingtalk_api.pojos.dto.cms.AddAppRobotCommandDto;
import com.nokia.dingtalk_api.pojos.dto.cms.UpdateAppRobotCommandDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 机器人指令
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.robot_command")
public class RobotCommandPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 应用编码
     */
    private String appId;

    /**
     * 机器人编码
     */
    private String robotCode;

    /**
     * 指令
     */
    private String command;

    /**
     * 应用方接口
     */
    private String url;

    /**
     * 说明
     */
    private String description;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public RobotCommandPo(AddAppRobotCommandDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.appId = dto.getAppId();
        this.robotCode = dto.getRobotCode();
        this.command = dto.getCommand();
        this.url = dto.getUrl();
        this.description = dto.getDescription();
        this.createTime = now;
        this.updateTime = now;
    }

    public RobotCommandPo(UpdateAppRobotCommandDto dto) {
        LocalDateTime now = LocalDateTime.now();
//        this.appId = dto.getAppId();
//        this.robotCode = dto.getRobotCode();
//        this.command = dto.getCommand();
        this.url = dto.getUrl();
        this.description = dto.getDescription();
        this.updateTime = now;
    }
}
