package com.nokia.dingtalk_api.pojos.po;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nokia.dingtalk_api.pojos.dto.cms.AddRobotDto;
import com.nokia.dingtalk_api.pojos.dto.cms.DeleteRobotDto;
import com.nokia.dingtalk_api.pojos.dto.cms.UpdateRobotDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 钉钉机器人
 * </p>
 *
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("dingtalk.robot")
public class RobotPo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 机器人编码
     */
    @TableId
    private String robotCode;

    /**
     * 机器人密钥
     */
    private String robotSecret;

    /**
     * 机器人名称
     */
    private String robotName;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除，0否1是
     */
    private Integer deleted;

    public RobotPo(AddRobotDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.robotCode = dto.getRobotCode();
        this.robotSecret = dto.getRobotSecret();
        this.robotName = dto.getRobotName();
        this.createTime = now;
        this.updateTime = now;
        this.deleted = 0;
    }

    public RobotPo(UpdateRobotDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.robotCode = dto.getRobotCode();
        this.robotSecret = dto.getRobotSecret();
        this.robotName = dto.getRobotName();
        this.updateTime = now;
    }

    public RobotPo(DeleteRobotDto dto) {
        LocalDateTime now = LocalDateTime.now();
        this.robotCode = dto.getRobotCode();
        this.updateTime = now;
        this.deleted = 1;
    }
}
