package com.nokia.dingtalk_api.pojos.vo.cms;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.nokia.dingtalk_api.pojos.bo.AppTaskBo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListAppTaskVo {
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "应用名称")
    private String appName;
    @Schema(description = "任务id")
    private String taskId;
    @Schema(description = "任务名称")
    private String taskName;
    @Schema(description = "任务描述")
    private String description;
    @Schema(description = "任务状态，0已停止1运行中2已删除")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer status;
    @Schema(description = "cron表达式")
    private String cron;
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "会话类型：1：单聊，2：群聊")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer conversationType;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "数据主文件夹")
    private String masterDir;
    @Schema(description = "是否有子文件夹，0否1是")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer hasSubdirectory;
    @Schema(description = "子文件夹匹配方式")
    private String subdirectoryMethod;
    @Schema(description = "子文件夹时延")
    private Integer dirTimeDelay;
    @Schema(description = "匹配最新子文件夹正则表达式")
    private String subdirectoryPattern;
    @Schema(description = "文件是否转为文本，0否1是")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer fileToText;
    @Schema(description = "文件匹配方式")
    private String fileMethod;
    @Schema(description = "文件时延")
    private Integer fileTimeDelay;
    @Schema(description = "文件前缀")
    private String filePrefix;
    @Schema(description = "文件扩展名")
    private String fileExtension;
    @Schema(description = "文件名匹配正则表达式")
    private String filePattern;
    @Schema(description = "任务超时时间秒")
    private Integer taskTimeout;
    @Schema(description = "失败重试次数")
    private Integer maxRetryTimes;
    @Schema(description = "重试间隔秒")
    private Integer retryInterval;
    @Schema(description = "告警方式")
    private String alertType;
    @Schema(description = "告警机器人名称")
    private String alertRobotName;
    @Schema(description = "告警机器人编码")
    private String alertRobotCode;
    @Schema(description = "告警群id")
    private String alertOpenConversationId;
    @Schema(description = "接收告警的手机号列表")
    private String alertPhones;
    @Schema(description = "接收告警的用户的userId列表")
    private String alertUserIds;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListAppTaskVo(AppTaskBo bo) {
        this.appId = bo.getAppId();
        this.appName = bo.getAppName();
        this.taskId = bo.getTaskId();
        this.taskName = bo.getTaskName();
        this.description = bo.getDescription();
        this.status = bo.getStatus();
        this.cron = bo.getCron();
        this.robotCode = bo.getRobotCode();
        this.robotName = bo.getRobotName();
        this.conversationType = bo.getConversationType();
        this.openConversationId = bo.getOpenConversationId();
        this.phones = bo.getPhones();
        this.userIds = bo.getUserIds();
        this.sftpId = bo.getSftpId();
        this.host = bo.getHost();
        this.masterDir = bo.getMasterDir();
        this.hasSubdirectory = bo.getHasSubdirectory();
        this.subdirectoryMethod = bo.getSubdirectoryMethod();
        this.dirTimeDelay = bo.getDirTimeDelay();
        this.subdirectoryPattern = bo.getSubdirectoryPattern();
        this.fileToText = bo.getFileToText();
        this.fileMethod = bo.getFileMethod();
        this.fileTimeDelay = bo.getFileTimeDelay();
        this.filePrefix = bo.getFilePrefix();
        this.fileExtension = bo.getFileExtension();
        this.filePattern = bo.getFilePattern();
        this.taskTimeout = bo.getTaskTimeout();
        this.maxRetryTimes = bo.getMaxRetryTimes();
        this.retryInterval = bo.getRetryInterval();
        this.alertType = bo.getAlertType();
        this.alertRobotName = bo.getAlertRobotName();
        this.alertRobotCode = bo.getAlertRobotCode();
        this.alertOpenConversationId = bo.getAlertOpenConversationId();
        this.alertPhones = bo.getAlertPhones();
        this.alertUserIds = bo.getAlertUserIds();
        this.createTime = bo.getCreateTime();
        this.updateTime = bo.getUpdateTime();
    }
}
