package com.nokia.dingtalk_api.pojos.vo.open;

import com.aliyun.dingtalkrobot_1_0.models.BatchSendOTOResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class BatchSendVo {
    @Schema(description = "消息id，根据此id，可用于查询消息是否已读和撤回消息", example = "jkasdfb8va9hndjksnxxxx")
    private String processQueryKey;
    @Schema(description = "失败的手机号列表和对应原因")
    private Map<String, String> failPhones;
    @Schema(description = "无效的用户userId列表")
    private List<String> invalidStaffIdList;
    @Schema(description = "被限流的userId列表")
    private List<String> flowControlledStaffIdList;

    public BatchSendVo(BatchSendOTOResponse response, Map<String, String> failPhones) {
        this.processQueryKey = response.body.processQueryKey;
        this.invalidStaffIdList = response.body.invalidStaffIdList;
        this.flowControlledStaffIdList = response.body.flowControlledStaffIdList;
        this.failPhones = failPhones;
    }

    public BatchSendVo(Map<String, String> failPhones) {
        this.failPhones = failPhones;
    }
}
