package com.nokia.dingtalk_api.service;

import com.nokia.dingtalk_api.common.exception.MyRuntimeException;
import com.nokia.dingtalk_api.config.AppConfig;
import com.nokia.dingtalk_api.util.AesUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@RequiredArgsConstructor
public class AesService {
    private final AppConfig appConfig;

    /**
     * 加密
     * @param text 内容
     */
    public String encrypt(String text) {
        try {
            return AesUtil.encrypt(text, appConfig.getSecret());
        } catch (Exception e) {
            throw new MyRuntimeException(e);
        }
    }

    /**
     * 解密
     * @param text 内容
     */
    public String decrypt(String text) {
        try {
            return AesUtil.decrypt(text, appConfig.getSecret());
        } catch (Exception e) {
            throw new MyRuntimeException(e);
        }
    }
}
