package com.nokia.dingtalk_api.service;

import com.nokia.dingtalk_api.common.R;
import com.nokia.dingtalk_api.dao.IAlertConfigService;
import com.nokia.dingtalk_api.mapper.AlertConfigMapper;
import com.nokia.dingtalk_api.pojos.dto.cms.AlertConfigDto;
import com.nokia.dingtalk_api.pojos.po.AlertConfigPo;
import com.nokia.dingtalk_api.pojos.vo.cms.GetAlertConfigVo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@RequiredArgsConstructor
public class AlertConfigService {
    private final IAlertConfigService iAlertConfigService;
    private final AlertConfigMapper alertConfigMapper;

    public R<Object> updateAlertConfig(AlertConfigDto dto) {
        AlertConfigPo po = new AlertConfigPo(dto);
        iAlertConfigService.saveOrUpdate(po);
        return R.ok();
    }

    public R<GetAlertConfigVo> getAlertConfig() {
        GetAlertConfigVo vo = alertConfigMapper.getConfig();
        if (vo == null) {
            vo = new GetAlertConfigVo();
        }
        return R.ok(vo);
    }
}
