package com.nokia.dingtalk_api.validator;

import com.nokia.dingtalk_api.annotation.ValidCron;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;
import org.springframework.scheduling.support.CronExpression;

/**
 * 校验cron表达式
 */
public class CronValidator implements ConstraintValidator<ValidCron, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        if (s == null || s.isEmpty()) {
            return true;
        }
        try {
            CronExpression.parse(s);
            return true;
        } catch (Exception e) {
            return false;
        }
    }
}
