package com.nokia.dingtalk_api.validator;

import com.nokia.dingtalk_api.annotation.ValidRegex;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

import java.util.regex.Pattern;

/**
 * 校验正则表达式
 */
public class RegexValidator implements ConstraintValidator<ValidRegex, String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        if (s == null || s.isEmpty()) {
            return true;
        }
        try {
            Pattern.compile(s);
            return true;
        } catch (Exception e) {
            return false;
        }
    }
}
