package com.nokia.dingtalk_api;

import com.nokia.dingtalk_api.dao.IUserService;
import com.nokia.dingtalk_api.mapper.AppTaskMapper;
import com.nokia.dingtalk_api.pojos.po.UserPo;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.test.context.ActiveProfiles;

@Slf4j
@SpringBootTest
@ActiveProfiles("dev")
class DingtalkApiApplicationTests {

    @Autowired
    PasswordEncoder passwordEncoder;
    @Autowired
    IUserService iUserService;
    @Autowired
    AppTaskMapper appTaskMapper;

    /**
     * 添加管理后台账号
     */
    @Test
    void addUser() {
        String rawPassword = "UbLiwooNJF7d#pyt1DR*";
        String password = passwordEncoder.encode(rawPassword);
        String username = "admin";
        UserPo userPo = new UserPo();
        userPo.setUsername(username);
        userPo.setPassword(password);
        iUserService.save(userPo);
        System.out.println(userPo);
    }

}
